API
Etichette
Crea e gestisci etichette per organizzare le attività
# Etichette > Crea e gestisci etichette per organizzare le attività - Pagina: https://tbit.app/it/docs/api/tags - URL base: `https://rest-api.tbit.app/v1` - Autenticazione: header `X-API-Key` con la tua chiave in ogni richiesta (gli esempi la leggono dalla variabile d'ambiente `TBIT_API_KEY`) ## Panoramica Le etichette servono a classificare e organizzare le attività. Ogni etichetta ha un nome, un colore facoltativo e una descrizione facoltativa. Le etichette sono associate al tuo agente. ## Endpoint | Metodo | Percorso | Descrizione | | --- | --- | --- | | `GET` | `/v1/tags` | Elenca tutte le etichette | | `POST` | `/v1/tags` | Crea una nuova etichetta | | `PATCH` | `/v1/tags/:id` | Aggiorna un'etichetta | | `DELETE` | `/v1/tags/:id` | Elimina un'etichetta | ## Elencare le etichette `GET /v1/tags` ```bash curl "https://rest-api.tbit.app/v1/tags" \ -H "X-API-Key: $TBIT_API_KEY" ``` ## Creare un'etichetta `POST /v1/tags` ```bash curl -X POST "https://rest-api.tbit.app/v1/tags" \ -H "X-API-Key: $TBIT_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "VIP", "color": "#ef4444", "description": "High-priority customers" }' ``` ## Aggiornare un'etichetta `PATCH /v1/tags/tag_id_1` ```bash curl -X PATCH "https://rest-api.tbit.app/v1/tags/tag_id_1" \ -H "X-API-Key: $TBIT_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Premium", "color": "#8b5cf6" }' ``` ## Rimuovere un'etichetta `DELETE /v1/tags/tag_id_1` ```bash curl -X DELETE "https://rest-api.tbit.app/v1/tags/tag_id_1" \ -H "X-API-Key: $TBIT_API_KEY" ``` ## Formato della risposta Un oggetto etichetta: ```json { "data": [ { "id": "tag_id_1", "name": "VIP", "color": "#ef4444", "description": "High-priority customers", "created_at": "2024-09-01T12:00:00Z", "updated_at": "2024-09-01T12:00:00Z" }, { "id": "tag_id_2", "name": "New Lead", "color": "#3b82f6", "description": null, "created_at": "2024-09-02T08:00:00Z", "updated_at": "2024-09-02T08:00:00Z" } ] } ```Le etichette servono a classificare e organizzare le attività. Ogni etichetta ha un nome, un colore facoltativo e una descrizione facoltativa. Le etichette sono associate al tuo agente.
| Metodo | Percorso | Descrizione |
|---|---|---|
| GET | /v1/tags | Elenca tutte le etichette |
| POST | /v1/tags | Crea una nuova etichetta |
| PATCH | /v1/tags/:id | Aggiorna un'etichetta |
| DELETE | /v1/tags/:id | Elimina un'etichetta |
/v1/tagscurl "https://rest-api.tbit.app/v1/tags" \
-H "X-API-Key: $TBIT_API_KEY"const response = await fetch('https://rest-api.tbit.app/v1/tags', {
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
});
const data = await response.json();import axios from 'axios';
const { data } = await axios.get(
'https://rest-api.tbit.app/v1/tags',
{
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
},
);import os
import requests
response = requests.get(
'https://rest-api.tbit.app/v1/tags',
headers={'X-API-Key': os.environ['TBIT_API_KEY']},
)
data = response.json()<?php
$ch = curl_init('https://rest-api.tbit.app/v1/tags');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'X-API-Key: ' . getenv('TBIT_API_KEY'),
],
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);/v1/tagscurl -X POST "https://rest-api.tbit.app/v1/tags" \
-H "X-API-Key: $TBIT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "VIP",
"color": "#ef4444",
"description": "High-priority customers"
}'const response = await fetch('https://rest-api.tbit.app/v1/tags', {
method: 'POST',
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
name: 'VIP',
color: '#ef4444',
description: 'High-priority customers',
}),
});
const data = await response.json();import axios from 'axios';
const { data } = await axios.post(
'https://rest-api.tbit.app/v1/tags',
{
name: 'VIP',
color: '#ef4444',
description: 'High-priority customers',
},
{
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
},
);import os
import requests
response = requests.post(
'https://rest-api.tbit.app/v1/tags',
headers={'X-API-Key': os.environ['TBIT_API_KEY']},
json={
'name': 'VIP',
'color': '#ef4444',
'description': 'High-priority customers',
},
)
data = response.json()<?php
$ch = curl_init('https://rest-api.tbit.app/v1/tags');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'X-API-Key: ' . getenv('TBIT_API_KEY'),
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VIP',
'color' => '#ef4444',
'description' => 'High-priority customers',
]),
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);/v1/tags/tag_id_1curl -X PATCH "https://rest-api.tbit.app/v1/tags/tag_id_1" \
-H "X-API-Key: $TBIT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Premium",
"color": "#8b5cf6"
}'const response = await fetch('https://rest-api.tbit.app/v1/tags/tag_id_1', {
method: 'PATCH',
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
name: 'Premium',
color: '#8b5cf6',
}),
});
const data = await response.json();import axios from 'axios';
const { data } = await axios.patch(
'https://rest-api.tbit.app/v1/tags/tag_id_1',
{
name: 'Premium',
color: '#8b5cf6',
},
{
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
},
);import os
import requests
response = requests.patch(
'https://rest-api.tbit.app/v1/tags/tag_id_1',
headers={'X-API-Key': os.environ['TBIT_API_KEY']},
json={
'name': 'Premium',
'color': '#8b5cf6',
},
)
data = response.json()<?php
$ch = curl_init('https://rest-api.tbit.app/v1/tags/tag_id_1');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'X-API-Key: ' . getenv('TBIT_API_KEY'),
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Premium',
'color' => '#8b5cf6',
]),
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);/v1/tags/tag_id_1curl -X DELETE "https://rest-api.tbit.app/v1/tags/tag_id_1" \
-H "X-API-Key: $TBIT_API_KEY"const response = await fetch('https://rest-api.tbit.app/v1/tags/tag_id_1', {
method: 'DELETE',
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
});
const data = await response.json();import axios from 'axios';
const { data } = await axios.delete(
'https://rest-api.tbit.app/v1/tags/tag_id_1',
{
headers: {
'X-API-Key': process.env.TBIT_API_KEY,
},
},
);import os
import requests
response = requests.delete(
'https://rest-api.tbit.app/v1/tags/tag_id_1',
headers={'X-API-Key': os.environ['TBIT_API_KEY']},
)
data = response.json()<?php
$ch = curl_init('https://rest-api.tbit.app/v1/tags/tag_id_1');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'X-API-Key: ' . getenv('TBIT_API_KEY'),
],
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);Un oggetto etichetta:
{
"data": [
{
"id": "tag_id_1",
"name": "VIP",
"color": "#ef4444",
"description": "High-priority customers",
"created_at": "2024-09-01T12:00:00Z",
"updated_at": "2024-09-01T12:00:00Z"
},
{
"id": "tag_id_2",
"name": "New Lead",
"color": "#3b82f6",
"description": null,
"created_at": "2024-09-02T08:00:00Z",
"updated_at": "2024-09-02T08:00:00Z"
}
]
}